/*
 * Dell N3248PXE Platform Definitions
 *
 * Copyright (C) 2019 Cumulus Networks, Inc.  All Rights Reserved.
 * Author: David Yen (dhyen@cumulusnetworks.com)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the
 * GNU General Public License for more details.
 */

#ifndef DELL_N3248PXE_H__
#define DELL_N3248PXE_H__

enum {I2C_ISMT_BUS = -1,
      I2C_I801_BUS,

      I2C_MUX1_BUS0 = 10,
      I2C_MUX1_BUS1,
      I2C_MUX1_BUS2,
      I2C_MUX1_BUS3,
      I2C_MUX1_BUS4,
      I2C_MUX1_BUS5,
      I2C_MUX1_BUS6,
      I2C_MUX1_BUS7,
      CPLD_FAN_MUX_BUS0 = 20,
      CPLD_FAN_MUX_BUS1,
      CPLD_FAN_MUX_BUS2,
      CPLD_PSU_MUX_BUS0 = 30,
      CPLD_PSU_MUX_BUS1,
      CPLD_SFP_MUX_BUS0 = 40,
      CPLD_SFP_MUX_BUS1,
      CPLD_SFP_MUX_BUS2,
      CPLD_SFP_MUX_BUS3,
      CPLD_SFP_MUX_BUS4,
      CPLD_SFP_MUX_BUS5,
};

/* Mux register selects are in the System CPLD */

#define PORT_I2C_MUX_REG   (0x11)
#define PORT_I2C_MUX_MASK  (0x1F)
#define PORT_I2C_MUX_SHIFT (0)

#define PSU_I2C_MUX_REG    (0x12)
#define PSU_I2C_MUX_MASK   (0x03)
#define PSU_I2C_MUX_SHIFT  (0)

#define FAN_I2C_MUX_REG    (0x13)
#define FAN_I2C_MUX_MASK   (0x03)
#define FAN_I2C_MUX_SHIFT  (0)


#endif  /* DELL_N3248PXE_H__ */
